package main

import "fmt"

func main() {
	float_format()
}

func float_format() {
	var val float64

	fmt.Scan(&val)
	if val <= 0.0 {
		fmt.Printf("число %4.2f не подходит", val)
	} else if val > 10000 {
		fmt.Printf("%e", val)
	} else {
		fmt.Printf("%.4f", val*val)
	}
}
